Bug 1194521 - RFE: Auto Assignment of an ip address when creating a VIP for a load balancer pool in horizon when the field is left blank.
Summary: RFE: Auto Assignment of an ip address when creating a VIP for a load balancer...
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: Red Hat OpenStack
Classification: Red Hat
Component: python-django-horizon
Version: 6.0 (Juno)
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
: 6.0 (Juno)
Assignee: Matthias Runge
QA Contact: Ido Ovadia
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2015-02-20 02:38 UTC by Aaron Thomas
Modified: 2019-09-12 08:15 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: Enhancement
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-06-15 11:11:35 UTC
Target Upstream Version:


Attachments (Terms of Use)

Description Aaron Thomas 2015-02-20 02:38:31 UTC
Description of the problem:

When creating a new LBAAS VIP on a load balancer pool using the dashboard (horizon) on RHOS 5 it was not required to specify an ip address, leaving the field blank resulted in automatic assignment of an ip address. 

When creating a LBAAS VIP on a load balancer pool using the dashboard (horizon) on RHOS 6 leaving the field blank does not automatically assign an ip address and will not allow the the process to complete, the ip address must be entered manually before the user can initiate the creation of the VIP.

Comment 7 Matthias Runge 2015-08-06 09:00:52 UTC
Sorry for the long delay here. It looks like this was fixed in kilo, the commit was https://github.com/openstack/horizon/commit/481b7a72f6fff9b3d636b9e370b1f27c60f88a6e

and it should be possible to backport this to juno version

Comment 9 Matthias Runge 2015-08-06 09:01:54 UTC
Is this still required for juno?


Note You need to log in before you can comment on or make changes to this bug.